LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XVetoableChangeListener Interface Referencepublished

is used to receive PropertyChangeEvents whenever a "constrained" property is changed. More...

`import"XVetoableChangeListener.idl";`

Inheritance diagram for XVetoableChangeListener:

## Public Member Functions
void | vetoableChange ([in] com::sun::star::beans::PropertyChangeEvent aEvent) raises ( com::sun::star::beans::PropertyVetoException )
| gets called when a constrained property is changed. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is used to receive PropertyChangeEvents whenever a "constrained" property is changed.

You can register an XVetoableChangeListener with a source object so as to be notified of any constrained property updates.

## Member Function Documentation

## ◆ vetoableChange()

void vetoableChange | ( | [in] com::sun::star::beans::PropertyChangeEvent | aEvent | ) |
raises | ( | com::sun::star::beans::PropertyVetoException
| ) |  |

gets called when a constrained property is changed.

The documentation for this interface was generated from the following file:

- com/sun/star/beans/XVetoableChangeListener.idl